<template>
  <RouterView v-if="loaded" />
  <toasts />
  <dialogs />
  <loading />
</template>

<script setup lang="ts">
  import { ref, onBeforeMount, onMounted } from 'vue'
  import { RouterView } from 'vue-router'
  import { useUsersStore } from '@/stores/usersStore'
  const usersStore = useUsersStore()
  import Loading from '@/components/Loading.vue'

  const loaded = ref<boolean>(false)

  onBeforeMount(async () => {
    usersStore.SetUserData()   
    loaded.value = true
  })
</script>
